<template>
  <v-card class="mx-auto" variant="outlined">
    <div class="d-flex flex-no-wrap justify-space-between">
      <div>
        <v-card-item>
          <div>
            <div class="text-overline mb-1">Цена: {{ price }} руб.</div>
            <div class="text-h6 mb-1">{{ title }}</div>
            <div class="text-caption">{{ desc }}</div>
          </div>
        </v-card-item>
        <v-card-actions>
          <v-btn variant="outlined" @click="viewProductHandler(props.id)">
            Посмотреть
          </v-btn>
          <v-btn variant="outlined"> Удалить </v-btn>
        </v-card-actions>
      </div>
      <v-avatar class="ma-3" size="125" rounded="0">
        <v-img :src="img"></v-img>
      </v-avatar>
    </div>
  </v-card>
</template>

<script setup>
import { toRefs } from 'vue'
import { useProducts } from '@/modules/useProducts'
const { viewProductHandler } = useProducts()

const props = defineProps({
  id: {
    type: Number,
    default: () => 0
  },
  title: {
    type: String,
    default: () => 'default title'
  },
  price: {
    type: Number,
    default: () => 0
  },
  desc: {
    type: String,
    default: () => 'default desc'
  },
  img: {
    type: String,
    default: () => ''
  },
  count: {
    type: Number,
    default: () => 0
  }
})

const { id, title, price, desc, img } = toRefs(props)
</script>

<style scoped></style>
